package com.pcloud.book.advertising.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pcloud.common.dto.BaseDto;

import java.util.Date;

/**
 * @描述：报名选项信息
 * @作者：zhuyajie
 * @创建时间：20:22 2019/6/28
 * @版本：1.0
 */
public class BmRegisterItemDTO extends BaseDto{

    /**
     *报名记录ID
     */
    private Long registerId;
    /**
     *选项ID
     */
    private Long optionId;
    /**
     *选项清单ID
     */
    private Long optionItemId;
    /**
     *选项值
     */
    private String optionValue;


    public Long getRegisterId() {
        return registerId;
    }

    public void setRegisterId(Long registerId) {
        this.registerId = registerId;
    }

    public Long getOptionId() {
        return optionId;
    }

    public void setOptionId(Long optionId) {
        this.optionId = optionId;
    }

    public Long getOptionItemId() {
        return optionItemId;
    }

    public void setOptionItemId(Long optionItemId) {
        this.optionItemId = optionItemId;
    }

    public String getOptionValue() {
        return optionValue;
    }

    public void setOptionValue(String optionValue) {
        this.optionValue = optionValue;
    }


    @Override
    public String toString() {
        return "BmRegisterItemDTO{" +
                "registerId=" + registerId +
                ", optionId=" + optionId +
                ", optionItemId=" + optionItemId +
                ", optionValue='" + optionValue + '\'' +
                '}';
    }
}
